Support USB4 DP alt mode for AMD Yellow Carp graphics card

Bug #1953008 reported by You-Sheng Yang
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
New
Undecided
Unassigned
linux (Ubuntu)
Fix Released
High
You-Sheng Yang
Focal
Invalid
Undecided
Unassigned
Jammy
Fix Released
High
You-Sheng Yang
linux-firmware (Ubuntu)
Fix Released
Undecided
You-Sheng Yang
Focal
Fix Released
Undecided
You-Sheng Yang
Jammy
Fix Released
Undecided
You-Sheng Yang
linux-oem-5.14 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
You-Sheng Yang
Jammy
Invalid
Undecided
Unassigned

Bug Description

[SRU Justification]

[Impact]

USB4 DP alt mode not available on AMD yellow carp.

[Fix]

Several fixing commits from upstream, inclusive of one titled
"drm/amd/display: Fixup previous PSR policy commit" sauced commit to
fix backport problems for commit 9470620e99e9 ("drm/amd/display: Enable
PSR by default on newer DCN").

This also depends on the firmware updates.

[Test Case]

Plug an external monitor with USB Type-C input function to AMD RMB CRB
(which has yellow carp) usbc0 and usbc1.

[Where problems could occur]

The patches revealed multiple dmub firmware versions were skipped. This
might introduce incompatibilities between driver code and the firmware.

========== linux-firmware SRU ==========

[Impact]

Need new firmware to enable USB4 DP alt mode for AMD yellow carp.

[Fix]

Already-in-upstream commit 581f8a3aae02 ("amdgpu: update yellow carp
dmcub firmware") to be backported.

[Test Case]

Need also kernel driver fixes to verify.

[Where problems could occur]

This introduces new features required both kernel driver and firmware
updates, the firmware part might cause instability or so.

========== original bug report ==========

Required linux-firmware:
* 581f8a3a amdgpu: update yellow carp dmcub firmware
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.21
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 1304 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 1304 F.... pulseaudio
CasperMD5CheckResult: skip
Dependencies:

DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-focal-amd64-20200502-85+fossa-edge-staging+X173
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2021-12-02 (0 days ago)
InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 20200502-05:58
IwConfig:
 lo no wireless extensions.

 enp1s0f0 no wireless extensions.
MachineType: AMD LilacKD-RMB
Package: linux-firmware
PackageArchitecture: all
ProcFB: 0 amdgpu
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.14.0-1008-oem root=UUID=82b889f1-11ce-4ecf-99e7-65c895cdc771 ro automatic-oem-config
ProcVersionSignature: Ubuntu 5.14.0-1008.8-oem 5.14.17
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.14.0-1008-oem N/A
 linux-backports-modules-5.14.0-1008-oem N/A
 linux-firmware 1.187.20+staging.35
RfKill:

Tags: third-party-packages focal
Uname: Linux 5.14.0-1008-oem x86_64
UnreportableReason: This is not an official Ubuntu package. Please remove any third party package and try again.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: N/A
_MarkForUpload: True
dmi.bios.date: 09/15/2021
dmi.bios.release: 190.196
dmi.bios.vendor: INSYDE Corp.
dmi.bios.version: RRL0080C
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: LilacKD-RMB
dmi.board.vendor: AMD
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDECorp.:bvrRRL0080C:bd09/15/2021:br190.196:svnAMD:pnLilacKD-RMB:pvr1:rvnAMD:rnLilacKD-RMB:rvrBaseBoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:sku123456789:
dmi.product.family: Rembrandt
dmi.product.name: LilacKD-RMB
dmi.product.sku: 123456789
dmi.product.version: 1
dmi.sys.vendor: AMD

Revision history for this message
You-Sheng Yang (vicamo) wrote : AlsaInfo.txt

apport information

tags: added: amd oem-priority originate-from-1951471
tags: added: apport-collected focal third-party-packages
description: updated
Revision history for this message
You-Sheng Yang (vicamo) wrote : CRDA.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : CurrentDmesg.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lspci.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lspci-vt.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lsusb.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lsusb-t.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : Lsusb-v.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcEnviron.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcInterrupts.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : ProcModules.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : UdevDb.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : WifiSyslog.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote : acpidump.txt

apport information

Revision history for this message
You-Sheng Yang (vicamo) wrote :
description: updated
Changed in linux-firmware (Ubuntu Focal):
status: New → In Progress
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-firmware (Ubuntu Jammy):
status: New → In Progress
assignee: nobody → You-Sheng Yang (vicamo)
Juerg Haefliger (juergh)
Changed in linux-firmware (Ubuntu Jammy):
status: In Progress → Fix Committed
Juerg Haefliger (juergh)
Changed in linux-firmware (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.187.23 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton)
tags: added: verification-needed-focal
You-Sheng Yang (vicamo)
description: updated
Revision history for this message
You-Sheng Yang (vicamo) wrote :

verified fw blob from linux-firmware version 1.187.23 from focal-proposed.

tags: added: originate-from-1951248
description: updated
tags: added: verification-done-focal
removed: originate-from-1951248 verification-needed-focal
You-Sheng Yang (vicamo)
Changed in linux-oem-5.14 (Ubuntu Jammy):
status: New → Invalid
Changed in linux (Ubuntu Focal):
status: New → Invalid
You-Sheng Yang (vicamo)
tags: added: originate-from-1951248
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
You-Sheng Yang (vicamo) wrote :
description: updated
Changed in linux-oem-5.14 (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
importance: Undecided → High
status: New → In Progress
Changed in linux (Ubuntu Jammy):
assignee: nobody → You-Sheng Yang (vicamo)
importance: Undecided → High
status: Confirmed → In Progress
Revision history for this message
You-Sheng Yang (vicamo) wrote :
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.14 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.187.23

---------------
linux-firmware (1.187.23) focal; urgency=medium

  * i915: Add HuC firwmare v7.5.0 for TGL (LP: #1939986)
  * i915: Add DG1 DMC v2.02 (LP: #1939986)
  * i915: Add GuC firmware v49.0.1 for all platforms (LP: #1939986)
  * amdgpu: update yellow carp dmcub firmware (LP: #1953008)
  * linux-firmware: add firmware for adl machines from sof-firmware-v1.9.2 (LP: #1952011)
  * Miscellaneous Ubuntu packaging changes and cleanups (LP: #1953587)
    - SAUCE: check_whence.py: Add python3 shebang
    - SAUCE: check_whence.py: Also process WHENCE.ubuntu
    - SAUCE: check_whence.py: Ignore debian/ and fw_source/ directories
    - SAUCE: check_whence.py: Ignore ea/ directory
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete tr_smctr from WHENCE
    - SAUCE: Remove obsolete ti-connectivity from WHENCE
    - SAUCE: Remove obsolete tda7706 from WHENCE
    - SAUCE: Remove obsolete sxg from WHENCE
    - SAUCE: Remove obsolete myricom from WHENCE
    - SAUCE: Remove obsolete mwl8k from WHENCE
    - SAUCE: Remove obsolete libertas from WHENCE
    - SAUCE: Remove obsolete Computone from WHENCE
    - SAUCE: Remove obsolete dabusb from WHENCE
    - SAUCE: Remove obsolete cxgb from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete ar9170 from WHENCE
    - SAUCE: Remove obsolete ar7010 from WHENCE
    - SAUCE: Remove obsolete ath3k from WHENCE
    - SAUCE: Remove obsolete 3com from WHENCE
    - SAUCE: Remove obsolete ath6k from WHENCE
    - SAUCE: Remove obsolete slicoss from WHENCE
    - SAUCE: Remove obsolete ath9k from WHENCE
    - SAUCE: Remove obsolete ar3k from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete files from WHENCE
    - SAUCE: Remove obsolete cxgb3 from WHENCE
    - SAUCE: Remove obsolete ueagle-atm from WHENCE
    - Add LICENCE.realtek-firmware.txt to WHENCE.ubuntu
    - Rename LICENCE.dib0700 to LICENSE.dib0700
    - Move Ubuntu check_firmware script to debian/scripts/
    - Remove unnecessary symbolic links
    - intel/sof: Remove symbolic links and add license to WHENCE.ubuntu
    - SAUCE: Remove missing firmwares from WHENCE
    - Fix ipu6 firmware license reference
    - [Packaging] Add check rule and call it in clean stage
    - [Packaging] close-release: Parse commit messages for Ignores and BugLinks

 -- Juerg Haefliger <email address hidden> Wed, 08 Dec 2021 08:11:55 +0100

Changed in linux-firmware (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Update Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
You-Sheng Yang (vicamo) wrote :

Verified linux-oem-5.14/focal-proposed version -1012 + linux-firmware 187.24.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.14 - 5.14.0-1013.13

---------------
linux-oem-5.14 (5.14.0-1013.13) focal; urgency=medium

  * focal/linux-oem-5.14: 5.14.0-1013.13 -proposed tracker (LP: #1955464)

  * devices on thunderbolt dock are not recognized on adl-p platform
    (LP: #1955016)
    - SAUCE: thunderbolt: Runtime PM activate both ends of the device link
    - SAUCE: thunderbolt: Tear down existing tunnels when resuming from hibernate
    - SAUCE: thunderbolt: Runtime resume USB4 port when retimers are scanned
    - SAUCE: thunderbolt: Do not allow subtracting more NFC credits than
      configured
    - SAUCE: thunderbolt: Do not program path HopIDs for USB4 routers
    - SAUCE: thunderbolt: Add debug logging of DisplayPort resource allocation

 -- Chia-Lin Kao (AceLan) <email address hidden> Tue, 21 Dec 2021 16:59:25 +0800

Changed in linux-oem-5.14 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (6.7 KiB)

This bug was fixed in the package linux-firmware - 1.204

---------------
linux-firmware (1.204) jammy; urgency=medium

  * Support Intel IPU6 MIPI camera on Alder Lake platforms (LP: #1955383)
    - SAUCE: intel-ipu6: Add IPU6 firmware files
    - SAUCE: intel-ipu6: update IPU6 Release_20210121 WW04 firmware files
    - SAUCE: Camera bins release on 2021-11-01 for Alder Lake
  * [Packaging] Downgrade firmware-sof-signed depends to recommends
  * QCA: Add Bluetooth default nvm file for WCN685x (LP: #1955689)
  * Missing firmware for Intel Visual Sensing Controller (LP: #1956426)
    - SAUCE: first release of ivsc firmware binaries
    - SAUCE: firmware: add support of more sensors
  * Add basic Wifi support for Qualcomm WCN6856 (LP: #1955613)
    - SAUCE: WCN6855 hw2.0: update board-2.bin
    - SAUCE: WCN6855 hw2.0: 1.1: add WLAN.HSP.1.1-03003-QCAHSPSWPL_V1_V2_SILICONZ_LITE-2

linux-firmware (1.203) jammy; urgency=medium

  * SAUCE: check_whence.py: Add python3 shebang
  * SAUCE: check_whence.py: Also process WHENCE.ubuntu
  * SAUCE: check_whence.py: Ignore debian/ and fw_source/ directories
  * SAUCE: check_whence.py: Ignore ea/ directory
  * [Packaging] Add check debian rule
  * [Packaging] rebase-upstream: Add usage
  * [Packaging] rebase-upstream: Fix shellcheck warnings
  * Rebase to upstream commit b0e898fbaf377c99a36aac6fdeb7250003648ca4 (LP: #1953008)
    Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9462
    - linux-firmware: Update firmware file for Intel Bluetooth 9462
    - rtw89: 8852a: update fw to v0.13.30.0
    - linux-firmware: update firmware for MT7921 WiFi device
    - QCA: Update Bluetooth firmware for WCN685x
    - linux-firmware: Update NXP Management Complex firmware to version 10.28.1
    - Mellanox: Add new mlxsw_spectrum firmware xx.2010.1006
    - bnx2x: Add FW 7.13.20.0
    - QCA: Update Bluetooth firmware for WCN685x
    - linux-firmware: Update AMD cpu microcode
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - amdgpu: update VCN firmware for green sardine
    - iwlwifi: update 9000-family firmwares to core64-96
    - iwlwifi: add new FWs from core64-96 release
    - rtl_bt: Update RTL8852A BT USB firmware to 0xDBA9_6937
    - amdgpu: update sienna cichlid firmware from 21.40
    - amdgpu: update arcturus firmware from 21.40
    - amdgpu...

Read more...

Changed in linux-firmware (Ubuntu Jammy):
status: Fix Committed → Fix Released
Revision history for this message
You-Sheng Yang (vicamo) wrote :

In linux/jammy 5.15.0-19.19 or newer. Currently jammy-proposed has 5.15.0-22.22.

Changed in linux (Ubuntu Jammy):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.15.0-22.22

---------------
linux (5.15.0-22.22) jammy; urgency=medium

  * jammy/linux: 5.15.0-22.22 -proposed tracker (LP: #1960290)

 -- Paolo Pisati <email address hidden> Tue, 08 Feb 2022 10:48:49 +0100

Changed in linux (Ubuntu Jammy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers